%%% Math stuff %%%

\newcommand{\etal}{{\it et al.}}
\renewcommand{\Im}{\mathfrak{Im}}
\renewcommand{\Re}{\mathfrak{Re}}

% imaginary unit, derivative sign and Euler number are roman
\newcommand{\I}{\mathrm{i}}
\newcommand{\D}{\mathrm{d}}
\newcommand{\E}{\mathrm{e}}

% integrals
\newcommand{\mint}[1]{\int\! \D #1 \, }
\newcommand{\mdint}[2]{\mint{#1}\!\!\!\mint{#2}}
\newcommand{\mintt}[1]{\int\! \D^{3} #1 \, }
\newcommand{\mdintt}[2]{\mintt{#1}\!\!\!\mintt{#2}}
\newcommand{\minttwo}[3]{\int_{#2}^{#3}\! \D #1 \, }

% assorted bold math
\newcommand{\balpha}{{\bm{\alpha}}}
\newcommand{\bsigma}{{\bm{\sigma}}}
\newcommand{\bSigma}{{\bm{\Sigma}}}
\newcommand{\bDelta}{{\bm{\Delta}}}

% arrows
\newcommand{\up}{\uparrow}
\newcommand{\down}{\downarrow}
\newcommand{\dn}{\downarrow}

% operators are defined with a hat
\newcommand{\op}[1]{{\hat{#1}}}
\newcommand{\sop}[1]{{\breve{#1}}}

% operators
\DeclareMathOperator{\Tr}{Tr}
\DeclareMathOperator{\erf}{erf}
\DeclareMathOperator{\sign}{sign}
\DeclareMathOperator{\e}{e}

% Common DFT sub/superscripts
\newcommand{\HK}{{\rm HK}}
\newcommand{\KS}{{\rm KS}}
\newcommand{\ext}{{\rm ext}}
\newcommand{\xx}{{\rm x}}
\newcommand{\cc}{{\rm c}}
\newcommand{\xc}{{\rm xc}}
\newcommand{\Hartree}{{\rm H}}
\newcommand{\Hxc}{{\rm Hxc}}
\newcommand{\ee}{{\rm ee}}
\newcommand{\GS}{{\rm GS}}
\newcommand{\heg}{{\rm HEG}}

%Vectors
\newcommand{\mvec}[1]{\bm{#1}}

\newcommand{\diracalpha}{\balpha}
\newcommand{\pauli}{\bsigma}
\newcommand{\bnabla}{{\bm{\nabla}}}
\newcommand{\br}{{\mvec{r}}}
\newcommand{\bR}{{\mvec{R}}}

\newcommand{\rset}{\{\mvec{r}\}}
\newcommand{\Rset}{\{\mvec{R}\}}

%Brackets
\newcommand{\ket}[1]{|#1\,\rangle}
\newcommand{\bra}[1]{\langle\,#1|}
\newcommand{\braket}[2]{\langle\,#1|#2\,\rangle}
